using MTWorkHR.Core.Entities;
using MTWorkHR.Core.IRepositories.Base;

namespace MTWorkHR.Core.IRepositories
{
    public interface IUserTaskRepository : IRepository<UserTask>
    {
        Task<UserTask> GetByIdWithAllChildren(long id);
        Task<UserTask> GetByUserIdWithAllChildren(string userId);
        Task<Tuple<IQueryable<UserTask>, int>> GetAllWithChildrenAsync();

    }
}
